<?xml version="1.0" encoding="UTF-8"?>

<!--XBRL Document Created with the Workiva Platform-->
<!--Copyright 2023 Workiva-->
<!--r:53eec74b-3531-41c2-913c-830efbc58dfd,g:0d8e054a-810c-47db-b30c-102898dedc58-->
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:isba="http://www.isabellabank.com/20230630" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:dtr-types1="http://www.xbrl.org/dtr/type/2020-01-21" xmlns:dtr-types="http://www.xbrl.org/dtr/type/2022-03-31" attributeFormDefault="unqualified" elementFormDefault="qualified" targetNamespace="http://www.isabellabank.com/20230630">
  <xs:import namespace="http://fasb.org/srt/2023" schemaLocation="https://xbrl.fasb.org/srt/2023/elts/srt-2023.xsd"/>
  <xs:import namespace="http://fasb.org/us-gaap/2023" schemaLocation="https://xbrl.fasb.org/us-gaap/2023/elts/us-gaap-2023.xsd"/>
  <xs:import namespace="http://www.w3.org/1999/xlink" schemaLocation="http://www.xbrl.org/2003/xlink-2003-12-31.xsd"/>
  <xs:import namespace="http://www.xbrl.org/2003/instance" schemaLocation="http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd"/>
  <xs:import namespace="http://www.xbrl.org/2003/linkbase" schemaLocation="http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd"/>
  <xs:import namespace="http://www.xbrl.org/dtr/type/2020-01-21" schemaLocation="https://www.xbrl.org/dtr/type/2020-01-21/types.xsd"/>
  <xs:import namespace="http://www.xbrl.org/dtr/type/2022-03-31" schemaLocation="https://www.xbrl.org/dtr/type/2022-03-31/types.xsd"/>
  <xs:import namespace="http://xbrl.sec.gov/dei/2023" schemaLocation="https://xbrl.sec.gov/dei/2023/dei-2023.xsd"/>
  <xs:annotation>
    <xs:appinfo>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="isba-20230630_lab.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple"/>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="isba-20230630_pre.xml" xlink:role="http://www.xbrl.org/2003/role/presentationLinkbaseRef" xlink:type="simple"/>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="isba-20230630_cal.xml" xlink:role="http://www.xbrl.org/2003/role/calculationLinkbaseRef" xlink:type="simple"/>
      <link:linkbaseRef xmlns:xlink="http://www.w3.org/1999/xlink" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="isba-20230630_def.xml" xlink:role="http://www.xbrl.org/2003/role/definitionLinkbaseRef" xlink:type="simple"/>
      <link:roleType id="CoverPage" roleURI="http://www.isabellabank.com/role/CoverPage">
        <link:definition>0000001 - Document - Cover Page</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="InterimCondensedConsolidatedBalanceSheetsUnaudited" roleURI="http://www.isabellabank.com/role/InterimCondensedConsolidatedBalanceSheetsUnaudited">
        <link:definition>0000002 - Statement - Interim Condensed Consolidated Balance Sheets (Unaudited)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="InterimCondensedConsolidatedBalanceSheetsUnauditedParenthetical" roleURI="http://www.isabellabank.com/role/InterimCondensedConsolidatedBalanceSheetsUnauditedParenthetical">
        <link:definition>0000003 - Statement - Interim Condensed Consolidated Balance Sheets (Unaudited) (Parenthetical)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="InterimCondensedConsolidatedStatementsofIncomeUnaudited" roleURI="http://www.isabellabank.com/role/InterimCondensedConsolidatedStatementsofIncomeUnaudited">
        <link:definition>0000004 - Statement - Interim Condensed Consolidated Statements of Income (Unaudited)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="InterimCondensedConsolidatedStatementsofComprehensiveIncomeLossUnaudited" roleURI="http://www.isabellabank.com/role/InterimCondensedConsolidatedStatementsofComprehensiveIncomeLossUnaudited">
        <link:definition>0000005 - Statement - Interim Condensed Consolidated Statements of Comprehensive Income (Loss) (Unaudited)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="InterimCondensedConsolidatedStatementsofChangesinShareholdersEquityUnaudited" roleURI="http://www.isabellabank.com/role/InterimCondensedConsolidatedStatementsofChangesinShareholdersEquityUnaudited">
        <link:definition>0000006 - Statement - Interim Condensed Consolidated Statements of Changes in Shareholders' Equity (Unaudited)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="InterimCondensedConsolidatedStatementsofChangesinShareholdersEquityUnauditedParenthetical" roleURI="http://www.isabellabank.com/role/InterimCondensedConsolidatedStatementsofChangesinShareholdersEquityUnauditedParenthetical">
        <link:definition>0000007 - Statement - Interim Condensed Consolidated Statements of Changes in Shareholders' Equity (Unaudited) (Parenthetical)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="InterimCondensedConsolidatedStatementsofCashFlowsUnaudited" roleURI="http://www.isabellabank.com/role/InterimCondensedConsolidatedStatementsofCashFlowsUnaudited">
        <link:definition>0000008 - Statement - Interim Condensed Consolidated Statements of Cash Flows (Unaudited)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="ParentCompanyOnlyFinancialInformation" roleURI="http://www.isabellabank.com/role/ParentCompanyOnlyFinancialInformation">
        <link:definition>0000009 - Statement - Parent Company Only Financial Information</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="ParentCompanyOnlyFinancialInformation_1" roleURI="http://www.isabellabank.com/role/ParentCompanyOnlyFinancialInformation_1">
        <link:definition>0000010 - Statement - Parent Company Only Financial Information</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="AccumulatedOtherComprehensiveIncomeLossComponentsofunrealizedholdinggainsonAFSsecurities" roleURI="http://www.isabellabank.com/role/AccumulatedOtherComprehensiveIncomeLossComponentsofunrealizedholdinggainsonAFSsecurities">
        <link:definition>0000011 - Statement - Accumulated Other Comprehensive Income (Loss) (Components of unrealized holding gains on AFS securities)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="ParentCompanyOnlyFinancialInformationInterimCondensedBalanceSheets" roleURI="http://www.isabellabank.com/role/ParentCompanyOnlyFinancialInformationInterimCondensedBalanceSheets">
        <link:definition>0000012 - Statement - Parent Company Only Financial Information (Interim Condensed Balance Sheets)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="ParentCompanyOnlyFinancialInformationInterimCondensedStatementsofIncome" roleURI="http://www.isabellabank.com/role/ParentCompanyOnlyFinancialInformationInterimCondensedStatementsofIncome">
        <link:definition>0000013 - Statement - Parent Company Only Financial Information (Interim Condensed Statements of Income)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="ParentCompanyOnlyFinancialInformationInterimCondensedStatementsofCashFlows" roleURI="http://www.isabellabank.com/role/ParentCompanyOnlyFinancialInformationInterimCondensedStatementsofCashFlows">
        <link:definition>0000014 - Statement - Parent Company Only Financial Information (Interim Condensed Statements of Cash Flows)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="BasisofPresentation" roleURI="http://www.isabellabank.com/role/BasisofPresentation">
        <link:definition>0000015 - Disclosure - Basis of Presentation</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="PendingAccountingStandardsUpdates" roleURI="http://www.isabellabank.com/role/PendingAccountingStandardsUpdates">
        <link:definition>0000016 - Disclosure - Pending Accounting Standards Updates</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="AFSSecurities" roleURI="http://www.isabellabank.com/role/AFSSecurities">
        <link:definition>0000017 - Disclosure - AFS Securities</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="LoansandACL" roleURI="http://www.isabellabank.com/role/LoansandACL">
        <link:definition>0000018 - Disclosure - Loans and ACL</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="BorrowedFunds" roleURI="http://www.isabellabank.com/role/BorrowedFunds">
        <link:definition>0000019 - Disclosure - Borrowed Funds</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="ComputationofEarningsPerCommonShare" roleURI="http://www.isabellabank.com/role/ComputationofEarningsPerCommonShare">
        <link:definition>0000020 - Disclosure - Computation of Earnings Per Common Share</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="RestrictedStockPlanNotes" roleURI="http://www.isabellabank.com/role/RestrictedStockPlanNotes">
        <link:definition>0000021 - Disclosure - Restricted Stock Plan (Notes)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="Revenue" roleURI="http://www.isabellabank.com/role/Revenue">
        <link:definition>0000022 - Disclosure - Revenue</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="OtherNoninterestExpenses" roleURI="http://www.isabellabank.com/role/OtherNoninterestExpenses">
        <link:definition>0000023 - Disclosure - Other Noninterest Expenses</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="FederalIncomeTaxes" roleURI="http://www.isabellabank.com/role/FederalIncomeTaxes">
        <link:definition>0000024 - Disclosure - Federal Income Taxes</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="AccumulatedOtherComprehensiveIncomeLoss" roleURI="http://www.isabellabank.com/role/AccumulatedOtherComprehensiveIncomeLoss">
        <link:definition>0000025 - Disclosure - Accumulated Other Comprehensive Income (Loss)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="FairValue" roleURI="http://www.isabellabank.com/role/FairValue">
        <link:definition>0000026 - Disclosure - Fair Value</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="OperatingSegments" roleURI="http://www.isabellabank.com/role/OperatingSegments">
        <link:definition>0000027 - Disclosure - Operating Segments</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="SubsequentEvents" roleURI="http://www.isabellabank.com/role/SubsequentEvents">
        <link:definition>0000028 - Disclosure - Subsequent Events</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="BasisofPresentationPolicies" roleURI="http://www.isabellabank.com/role/BasisofPresentationPolicies">
        <link:definition>9954701 - Disclosure - Basis of Presentation (Policies)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="ReceivablesLoansNotesReceivableandOthersPolicies" roleURI="http://www.isabellabank.com/role/ReceivablesLoansNotesReceivableandOthersPolicies">
        <link:definition>9954702 - Disclosure - Receivables, Loans, Notes Receivable, and Others (Policies)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="OrganizationConsolidationandPresentationofFinancialStatementsTables" roleURI="http://www.isabellabank.com/role/OrganizationConsolidationandPresentationofFinancialStatementsTables">
        <link:definition>9954703 - Disclosure - Organization, Consolidation and Presentation of Financial Statements (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="AFSSecuritiesTables" roleURI="http://www.isabellabank.com/role/AFSSecuritiesTables">
        <link:definition>9954704 - Disclosure - AFS Securities (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="LoansandACLTables" roleURI="http://www.isabellabank.com/role/LoansandACLTables">
        <link:definition>9954705 - Disclosure - Loans and ACL (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="BorrowedFundsTables" roleURI="http://www.isabellabank.com/role/BorrowedFundsTables">
        <link:definition>9954706 - Disclosure - Borrowed Funds (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="ComputationofEarningsPerCommonShareTables" roleURI="http://www.isabellabank.com/role/ComputationofEarningsPerCommonShareTables">
        <link:definition>9954707 - Disclosure - Computation of Earnings Per Common Share (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="RestrictedStockPlanTables" roleURI="http://www.isabellabank.com/role/RestrictedStockPlanTables">
        <link:definition>9954708 - Disclosure - Restricted Stock Plan (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="RevenueTables" roleURI="http://www.isabellabank.com/role/RevenueTables">
        <link:definition>9954709 - Disclosure - Revenue (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="OtherNoninterestExpensesTables" roleURI="http://www.isabellabank.com/role/OtherNoninterestExpensesTables">
        <link:definition>9954710 - Disclosure - Other Noninterest Expenses (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="FederalIncomeTaxesTables" roleURI="http://www.isabellabank.com/role/FederalIncomeTaxesTables">
        <link:definition>9954711 - Disclosure - Federal Income Taxes (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="AccumulatedOtherComprehensiveIncomeLossTables" roleURI="http://www.isabellabank.com/role/AccumulatedOtherComprehensiveIncomeLossTables">
        <link:definition>9954712 - Disclosure - Accumulated Other Comprehensive Income (Loss) (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="FairValueTables" roleURI="http://www.isabellabank.com/role/FairValueTables">
        <link:definition>9954713 - Disclosure - Fair Value (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="SubsequentEventsTables" roleURI="http://www.isabellabank.com/role/SubsequentEventsTables">
        <link:definition>9954714 - Disclosure - Subsequent Events (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="BasisofPresentationDetails" roleURI="http://www.isabellabank.com/role/BasisofPresentationDetails">
        <link:definition>9954715 - Disclosure - Basis of Presentation (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="AFSSecuritiesAmortizedcostandfairvalueofAFSsecuritieswithgrossunrealizedgainsandlossesDetails" roleURI="http://www.isabellabank.com/role/AFSSecuritiesAmortizedcostandfairvalueofAFSsecuritieswithgrossunrealizedgainsandlossesDetails">
        <link:definition>9954716 - Disclosure - AFS Securities (Amortized cost and fair value of AFS securities, with gross unrealized gains and losses) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="AFSSecuritiesAmortizedcostandfairvalueofAFSsecuritiesbycontractualmaturityDetails" roleURI="http://www.isabellabank.com/role/AFSSecuritiesAmortizedcostandfairvalueofAFSsecuritiesbycontractualmaturityDetails">
        <link:definition>9954717 - Disclosure - AFS Securities (Amortized cost and fair value of AFS securities by contractual maturity) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="AFSSecuritiesActivityrelatedtosalesofAFSsecuritiesDetails" roleURI="http://www.isabellabank.com/role/AFSSecuritiesActivityrelatedtosalesofAFSsecuritiesDetails">
        <link:definition>9954718 - Disclosure - AFS Securities (Activity related to sales of AFS securities) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="AFSSecuritiesAFSsecuritieswithgrossunrealizedlossesDetails" roleURI="http://www.isabellabank.com/role/AFSSecuritiesAFSsecuritieswithgrossunrealizedlossesDetails">
        <link:definition>9954719 - Disclosure - AFS Securities (AFS securities with gross unrealized losses) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="AFSSecuritiesRollforwardofcreditrelatedimpairmentrecognizedinearningsDetails" roleURI="http://www.isabellabank.com/role/AFSSecuritiesRollforwardofcreditrelatedimpairmentrecognizedinearningsDetails">
        <link:definition>9954720 - Disclosure - AFS Securities (Roll-forward of credit related impairment recognized in earnings) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="AFSSecuritiesNarrativesNewDetails" roleURI="http://www.isabellabank.com/role/AFSSecuritiesNarrativesNewDetails">
        <link:definition>9954721 - Disclosure - AFS Securities Narratives New (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="LoansandACLSummaryofLoanCompositionDetails" roleURI="http://www.isabellabank.com/role/LoansandACLSummaryofLoanCompositionDetails">
        <link:definition>9954722 - Disclosure - Loans and ACL (Summary of Loan Composition) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="LoansandACLSummaryofNonaccrualLoansWithNoACLDetails" roleURI="http://www.isabellabank.com/role/LoansandACLSummaryofNonaccrualLoansWithNoACLDetails">
        <link:definition>9954723 - Disclosure - Loans and ACL (Summary of Nonaccrual Loans With No ACL) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="LoansandACLPastdueandcurrentloansDetails" roleURI="http://www.isabellabank.com/role/LoansandACLPastdueandcurrentloansDetails">
        <link:definition>9954724 - Disclosure - Loans and ACL (Past due and current loans) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="LoansandACLSummaryofCreditQualityIndicatorsbyYearofOriginationDetails" roleURI="http://www.isabellabank.com/role/LoansandACLSummaryofCreditQualityIndicatorsbyYearofOriginationDetails">
        <link:definition>9954725 - Disclosure - Loans and ACL (Summary of Credit Quality Indicators by Year of Origination) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="LoansandALLLCreditqualityindicatorsforcommercialandagriculturalcreditexposuresDetails" roleURI="http://www.isabellabank.com/role/LoansandALLLCreditqualityindicatorsforcommercialandagriculturalcreditexposuresDetails">
        <link:definition>9954726 - Disclosure - Loans and ALLL (Credit quality indicators for commercial and agricultural credit exposures) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="LoansandACLSummaryofLoanModificationsbyTypeDetails" roleURI="http://www.isabellabank.com/role/LoansandACLSummaryofLoanModificationsbyTypeDetails">
        <link:definition>9954727 - Disclosure - Loans and ACL (Summary of Loan Modifications by Type) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="LoansandACLSummaryofLoanModificationEffectsDetails" roleURI="http://www.isabellabank.com/role/LoansandACLSummaryofLoanModificationEffectsDetails">
        <link:definition>9954728 - Disclosure - Loans and ACL (Summary of Loan Modification Effects) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="LoansandACLSummaryofLoanModificationsbyPastDueStatusDetails" roleURI="http://www.isabellabank.com/role/LoansandACLSummaryofLoanModificationsbyPastDueStatusDetails">
        <link:definition>9954729 - Disclosure - Loans and ACL (Summary of Loan Modifications by Past Due Status) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="LoansandACLSummaryofchangesinACLbysegmentsDetails" roleURI="http://www.isabellabank.com/role/LoansandACLSummaryofchangesinACLbysegmentsDetails">
        <link:definition>9954730 - Disclosure - Loans and ACL (Summary of changes in ACL by segments) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="LoansandACLSummaryofspecificreservesbysegmentsDetails" roleURI="http://www.isabellabank.com/role/LoansandACLSummaryofspecificreservesbysegmentsDetails">
        <link:definition>9954731 - Disclosure - Loans and ACL (Summary of specific reserves by segments) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="LoansandACLNarrativeDetails" roleURI="http://www.isabellabank.com/role/LoansandACLNarrativeDetails">
        <link:definition>9954732 - Disclosure - Loans and ACL (Narrative) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="BorrowedFundsShorttermborrowingsDetails" roleURI="http://www.isabellabank.com/role/BorrowedFundsShorttermborrowingsDetails">
        <link:definition>9954733 - Disclosure - Borrowed Funds (Short-term borrowings) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="BorrowedFundsPledgedfinancialinstrumentsDetails" roleURI="http://www.isabellabank.com/role/BorrowedFundsPledgedfinancialinstrumentsDetails">
        <link:definition>9954734 - Disclosure - Borrowed Funds (Pledged financial instruments) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="BorrowedFundsMaturityandweightedaverageinterestratesofFHLBadvancesDetails" roleURI="http://www.isabellabank.com/role/BorrowedFundsMaturityandweightedaverageinterestratesofFHLBadvancesDetails">
        <link:definition>9954735 - Disclosure - Borrowed Funds (Maturity and weighted average interest rates of FHLB advances) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="BorrowedFundsSubordinatedDebtDetails" roleURI="http://www.isabellabank.com/role/BorrowedFundsSubordinatedDebtDetails">
        <link:definition>9954736 - Disclosure - Borrowed Funds (Subordinated Debt) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="BorrowedFundsNarrativeDetails" roleURI="http://www.isabellabank.com/role/BorrowedFundsNarrativeDetails">
        <link:definition>9954737 - Disclosure - Borrowed Funds (Narrative) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="ComputationofEarningsPerCommonShareScheduleofEarningsPerShareDetails" roleURI="http://www.isabellabank.com/role/ComputationofEarningsPerCommonShareScheduleofEarningsPerShareDetails">
        <link:definition>9954738 - Disclosure - Computation of Earnings Per Common Share (Schedule of Earnings Per Share) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="RestrictedStockPlanDetails" roleURI="http://www.isabellabank.com/role/RestrictedStockPlanDetails">
        <link:definition>9954739 - Disclosure - Restricted Stock Plan (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="RestrictedStockPlanNarrativeDetails" roleURI="http://www.isabellabank.com/role/RestrictedStockPlanNarrativeDetails">
        <link:definition>9954740 - Disclosure - Restricted Stock Plan (Narrative) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="RevenueDetails" roleURI="http://www.isabellabank.com/role/RevenueDetails">
        <link:definition>9954741 - Disclosure - Revenue (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="OtherNoninterestExpensesExpensesincludedinothernoninterestexpensesDetails" roleURI="http://www.isabellabank.com/role/OtherNoninterestExpensesExpensesincludedinothernoninterestexpensesDetails">
        <link:definition>9954742 - Disclosure - Other Noninterest Expenses (Expenses included in other noninterest expenses) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="FederalIncomeTaxesDetails" roleURI="http://www.isabellabank.com/role/FederalIncomeTaxesDetails">
        <link:definition>9954743 - Disclosure - Federal Income Taxes (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="AccumulatedOtherComprehensiveIncomeLossChangesinAOCIbycomponentDetails" roleURI="http://www.isabellabank.com/role/AccumulatedOtherComprehensiveIncomeLossChangesinAOCIbycomponentDetails">
        <link:definition>9954744 - Disclosure - Accumulated Other Comprehensive Income (Loss) (Changes in AOCI by component) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="FairValueQuantitativeinformationaboutimpairedloansDetails" roleURI="http://www.isabellabank.com/role/FairValueQuantitativeinformationaboutimpairedloansDetails">
        <link:definition>9954745 - Disclosure - Fair Value (Quantitative information about impaired loans) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="FairValueCarryingamountandestimatedfairvalueoffinancialinstrumentsDetails" roleURI="http://www.isabellabank.com/role/FairValueCarryingamountandestimatedfairvalueoffinancialinstrumentsDetails">
        <link:definition>9954746 - Disclosure - Fair Value (Carrying amount and estimated fair value of financial instruments) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="FairValueRecordedamountofassetsandliabilitiesmeasuredatfairvalueDetails" roleURI="http://www.isabellabank.com/role/FairValueRecordedamountofassetsandliabilitiesmeasuredatfairvalueDetails">
        <link:definition>9954747 - Disclosure - Fair Value (Recorded amount of assets and liabilities measured at fair value) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="FairValueNarrativeDetailsTextual" roleURI="http://www.isabellabank.com/role/FairValueNarrativeDetailsTextual">
        <link:definition>9954748 - Disclosure - Fair Value (Narrative) (Details Textual)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="OperatingSegmentsNarrativeDetails" roleURI="http://www.isabellabank.com/role/OperatingSegmentsNarrativeDetails">
        <link:definition>9954749 - Disclosure - Operating Segments (Narrative) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="SubsequentEventsDetails" roleURI="http://www.isabellabank.com/role/SubsequentEventsDetails">
        <link:definition>9954750 - Disclosure - Subsequent Events (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
    </xs:appinfo>
  </xs:annotation>
  <xs:element id="isba_IncreaseDecreaseinInterestPayableAndOtherAccruedLiabilities" abstract="false" name="IncreaseDecreaseinInterestPayableAndOtherAccruedLiabilities" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="isba_StockRepurchasedDuringPeriodExcludingStockForDeferredCompensationObligationsValue" abstract="false" name="StockRepurchasedDuringPeriodExcludingStockForDeferredCompensationObligationsValue" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="isba_ImpairedFinancingReceivableFairValueDisclosureAppraisedValueDiscount" abstract="false" name="ImpairedFinancingReceivableFairValueDisclosureAppraisedValueDiscount" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:percentItemType"/>
  <xs:element id="isba_InvestmentOfLowIncomeHousingTaxCreditsNonCashComponent" abstract="false" name="InvestmentOfLowIncomeHousingTaxCreditsNonCashComponent" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="isba_AgriculturalPortfolioSegmentMember" abstract="true" name="AgriculturalPortfolioSegmentMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:domainItemType"/>
  <xs:element id="isba_CommercialRealEstateOwnerOccupiedPortfolioSegmentMember" abstract="true" name="CommercialRealEstateOwnerOccupiedPortfolioSegmentMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:domainItemType"/>
  <xs:element id="isba_FinancingReceivableAmountAdditionalApprovalThreshold" abstract="false" name="FinancingReceivableAmountAdditionalApprovalThreshold" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="isba_PaymentsForRepurchaseOfCommonStockExcludingStockForDeferredCompensationObligations" abstract="false" name="PaymentsForRepurchaseOfCommonStockExcludingStockForDeferredCompensationObligations" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="isba_CommercialRealEstateNonOwnerOccupiedMember" abstract="true" name="CommercialRealEstateNonOwnerOccupiedMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:domainItemType"/>
  <xs:element id="isba_InterestReceivableFairValueDisclosure" abstract="false" name="InterestReceivableFairValueDisclosure" nillable="true" xbrli:periodType="instant" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="isba_OtherMortgageServicingRightsFairValueDisclosure" abstract="false" name="OtherMortgageServicingRightsFairValueDisclosure" nillable="true" xbrli:periodType="instant" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="isba_EffectiveIncomeTaxRateReconciliationTaxExemptIncomeCorporateOwnedLifeInsuranceAmount" abstract="false" name="EffectiveIncomeTaxRateReconciliationTaxExemptIncomeCorporateOwnedLifeInsuranceAmount" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="isba_InterestAndDividendIncomeSecuritiesOperatingAvailableforsaleTaxable" abstract="false" name="InterestAndDividendIncomeSecuritiesOperatingAvailableforsaleTaxable" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="isba_OtherNoninterestExpenseMiscellaneous" abstract="false" name="OtherNoninterestExpenseMiscellaneous" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="isba_AgriculturalRealEstatePortfolioSegmentMember" abstract="true" name="AgriculturalRealEstatePortfolioSegmentMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:domainItemType"/>
  <xs:element id="isba_FinancingReceivableNonperformingNonaccrualOfInterestThresholdPeriod" abstract="false" name="FinancingReceivableNonperformingNonaccrualOfInterestThresholdPeriod" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:durationItemType"/>
  <xs:element id="isba_EquityMethodAndOtherInvestments" abstract="false" name="EquityMethodAndOtherInvestments" nillable="true" xbrli:periodType="instant" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="isba_IsabellaBankCorporationRestrictedStockPlanMember" abstract="true" name="IsabellaBankCorporationRestrictedStockPlanMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:domainItemType"/>
  <xs:element id="isba_SummaryOfOtherNoninterestExpensesAbstract" abstract="true" name="SummaryOfOtherNoninterestExpensesAbstract" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:stringItemType"/>
  <xs:element id="isba_FinancingReceivableModificationPercentageOfPortfolioSegment" abstract="false" name="FinancingReceivableModificationPercentageOfPortfolioSegment" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="isba_OtherLosses" abstract="false" name="OtherLosses" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="isba_ImpairedFinancingReceivableFairValueDisclosureAppraisedValueWeightedAverage" abstract="false" name="ImpairedFinancingReceivableFairValueDisclosureAppraisedValueWeightedAverage" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:percentItemType"/>
  <xs:element id="isba_LoansReceivableCollateralizedByOtherInventoryMember" abstract="true" name="LoansReceivableCollateralizedByOtherInventoryMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:domainItemType"/>
  <xs:element id="isba_CommercialAndCommercialRealEstatePortfolioSegmentMember" abstract="true" name="CommercialAndCommercialRealEstatePortfolioSegmentMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:domainItemType"/>
  <xs:element id="isba_AgriculturalMortgagePortfolioSegmentMember" abstract="true" name="AgriculturalMortgagePortfolioSegmentMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:domainItemType"/>
  <xs:element id="isba_ResidentialRealEstateSeniorLienPortfolioSegmentMember" abstract="true" name="ResidentialRealEstateSeniorLienPortfolioSegmentMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:domainItemType"/>
  <xs:element id="isba_ScheduleOfResidentialRealEstateAndConsumerLoanSegmentsByYearOfOriginationTableTextBlock" abstract="false" name="ScheduleOfResidentialRealEstateAndConsumerLoanSegmentsByYearOfOriginationTableTextBlock" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:textBlockItemType"/>
  <xs:element id="isba_AvailableforsaleSecuritiesIncomeTaxExpenseBenefitOnRealizedGainLoss" abstract="false" name="AvailableforsaleSecuritiesIncomeTaxExpenseBenefitOnRealizedGainLoss" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="isba_StockRepurchasedDuringPeriodForDeferredCompensationObligationsValue" abstract="false" name="StockRepurchasedDuringPeriodForDeferredCompensationObligationsValue" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="isba_EquityMethodAndOtherInvestmentsFairValueDisclosure" abstract="false" name="EquityMethodAndOtherInvestmentsFairValueDisclosure" nillable="true" xbrli:periodType="instant" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="isba_LoansReceivableGrossFairValueDisclosure" abstract="false" name="LoansReceivableGrossFairValueDisclosure" nillable="true" xbrli:periodType="instant" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="isba_DividendIncomeReceivedFromSubsidiary" abstract="false" name="DividendIncomeReceivedFromSubsidiary" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="isba_PreAdoptionAllowanceMember" abstract="true" name="PreAdoptionAllowanceMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:domainItemType"/>
  <xs:element id="isba_ScheduleOfFinancialEffectsOfLoansHeldForInvestmentModifiedForBorrowersExperiencingFinancialDifficultyTableTextBlock" abstract="false" name="ScheduleOfFinancialEffectsOfLoansHeldForInvestmentModifiedForBorrowersExperiencingFinancialDifficultyTableTextBlock" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:textBlockItemType"/>
  <xs:element id="isba_MembershipsAndSubscriptionsExpense" abstract="false" name="MembershipsAndSubscriptionsExpense" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="isba_FinancingReceivableLoanToValueRatioMaximum" abstract="false" name="FinancingReceivableLoanToValueRatioMaximum" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:pureItemType"/>
  <xs:element id="isba_AvailableforsaleSecuritiesExcludingAuctionRateMoneyMarketPreferredandPreferredStocksMember" abstract="true" name="AvailableforsaleSecuritiesExcludingAuctionRateMoneyMarketPreferredandPreferredStocksMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:domainItemType"/>
  <xs:element id="isba_ForeclosedAssetsFairValueDisclosure" abstract="false" name="ForeclosedAssetsFairValueDisclosure" nillable="true" xbrli:periodType="instant" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="isba_ScheduleOfAmortizedCostBalanceOfFinancialAssetsConsideredCollateralDependentTableTextBlock" abstract="false" name="ScheduleOfAmortizedCostBalanceOfFinancialAssetsConsideredCollateralDependentTableTextBlock" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:textBlockItemType"/>
  <xs:element id="isba_FinancingReceivableModificationsAmortizedCost" abstract="false" name="FinancingReceivableModificationsAmortizedCost" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="isba_CommercialAndIndustrialPortfolioSegmentMember" abstract="true" name="CommercialAndIndustrialPortfolioSegmentMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:domainItemType"/>
  <xs:element id="isba_FinancingReceivableModificationWeightedAverageExtensionTerm" abstract="false" name="FinancingReceivableModificationWeightedAverageExtensionTerm" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:durationItemType"/>
  <xs:element id="isba_CertificatesOfDepositUnderOtherSavings" abstract="false" name="CertificatesOfDepositUnderOtherSavings" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="isba_BankOwnedLifeInsuranceIncomeFromPolicyRedemption" abstract="false" name="BankOwnedLifeInsuranceIncomeFromPolicyRedemption" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="isba_ResidentialRealEstateHomeEquityLinesOfCreditPortfolioSegmentMember" abstract="true" name="ResidentialRealEstateHomeEquityLinesOfCreditPortfolioSegmentMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:domainItemType"/>
  <xs:element id="isba_BankOwnedLifeInsuranceIncomeNetofExpense" abstract="false" name="BankOwnedLifeInsuranceIncomeNetofExpense" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="isba_FederalHomeLoanBankAdvancesFixedRateDue2023Member" abstract="true" name="FederalHomeLoanBankAdvancesFixedRateDue2023Member" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types:domainItemType"/>
  <xs:element id="isba_DeferredCompensationArrangementwithIndividualDeferredFeesContribution" abstract="false" name="DeferredCompensationArrangementwithIndividualDeferredFeesContribution" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="isba_HighQualityRatingMember" abstract="true" name="HighQualityRatingMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:domainItemType"/>
  <xs:element id="isba_EffectiveIncomeTaxRateReconciliationTaxExemptIncomeOtherAmount" abstract="false" name="EffectiveIncomeTaxRateReconciliationTaxExemptIncomeOtherAmount" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="isba_ResidentialPrivatelyInsuredFinancingReceivableMember" abstract="true" name="ResidentialPrivatelyInsuredFinancingReceivableMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:domainItemType"/>
  <xs:element id="isba_AuctionRateMoneyMarketPreferredStocksMember" abstract="true" name="AuctionRateMoneyMarketPreferredStocksMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:domainItemType"/>
  <xs:element id="isba_HighSatisfactoryRatingMember" abstract="true" name="HighSatisfactoryRatingMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:domainItemType"/>
  <xs:element id="isba_ShareBasedCompensationArrangementByShareBasedPaymentAwardPercentageOfEmployeeAnnualSalary" abstract="false" name="ShareBasedCompensationArrangementByShareBasedPaymentAwardPercentageOfEmployeeAnnualSalary" nillable="true" xbrli:periodType="instant" substitutionGroup="xbrli:item" type="dtr-types1:percentItemType"/>
  <xs:element id="isba_ExcellentRatingMember" abstract="true" name="ExcellentRatingMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:domainItemType"/>
  <xs:element id="isba_ImpairedFinancingReceivableFairValueDisclosure" abstract="false" name="ImpairedFinancingReceivableFairValueDisclosure" nillable="true" xbrli:periodType="instant" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="isba_CommercialAgriculturalandResidentialPortfolioSegmentsMember" abstract="true" name="CommercialAgriculturalandResidentialPortfolioSegmentsMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:domainItemType"/>
  <xs:element id="isba_RevolvingLoansConvertedToTermMember" abstract="true" name="RevolvingLoansConvertedToTermMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:domainItemType"/>
  <xs:element id="isba_ResidentialSeniorLiensFinancingReceivableMember" abstract="true" name="ResidentialSeniorLiensFinancingReceivableMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:domainItemType"/>
  <xs:element id="isba_IncomeBeforeEquityInUndistributedNetIncomeOfSubsidiary" abstract="false" name="IncomeBeforeEquityInUndistributedNetIncomeOfSubsidiary" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="isba_LoansReceivableCollateralizedByCashCropInventoryMember" abstract="true" name="LoansReceivableCollateralizedByCashCropInventoryMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:domainItemType"/>
  <xs:element id="isba_PaymentsForProceedsFromLoanAndLeaseOriginationsAndPrincipalCollections" abstract="false" name="PaymentsForProceedsFromLoanAndLeaseOriginationsAndPrincipalCollections" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="isba_ForeclosedAssetMember" abstract="true" name="ForeclosedAssetMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:domainItemType"/>
  <xs:element id="isba_ConsumerSecuredIndirectPortfolioSegmentMember" abstract="true" name="ConsumerSecuredIndirectPortfolioSegmentMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:domainItemType"/>
  <xs:element id="isba_InterestPayableAndOtherLiabilities" abstract="false" name="InterestPayableAndOtherLiabilities" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="isba_LoanPortfolioClassesAndSegmentsAsPercentageofAggregateLoan" abstract="false" name="LoanPortfolioClassesAndSegmentsAsPercentageofAggregateLoan" nillable="true" xbrli:periodType="instant" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="isba_ConsumerUnsecuredPortfolioSegmentMember" abstract="true" name="ConsumerUnsecuredPortfolioSegmentMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:domainItemType"/>
  <xs:element id="isba_ATMandDebitCardExpense" abstract="false" name="ATMandDebitCardExpense" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="isba_FinancingReceivableCreditQualityDelinquencyPeriod" abstract="false" name="FinancingReceivableCreditQualityDelinquencyPeriod" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:durationItemType"/>
  <xs:element id="isba_EffectiveIncomeTaxRateReconciliationTaxExemptIncomeMunicipalSecuritiesAmount" abstract="false" name="EffectiveIncomeTaxRateReconciliationTaxExemptIncomeMunicipalSecuritiesAmount" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="isba_DepositsWithoutStatedMaturitiesFairValueDisclosure" abstract="false" name="DepositsWithoutStatedMaturitiesFairValueDisclosure" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="isba_Donationsandcommunityrelations" abstract="false" name="Donationsandcommunityrelations" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="isba_FinancingReceivablePaymentAmountToGrossIncomeRatioMaximum" abstract="false" name="FinancingReceivablePaymentAmountToGrossIncomeRatioMaximum" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:pureItemType"/>
  <xs:element id="isba_NoninterestIncomeServiceChargesandFees" abstract="false" name="NoninterestIncomeServiceChargesandFees" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="isba_PercentageOfAssetsAndLiabilitiesMeasuredAtFairValue" abstract="false" name="PercentageOfAssetsAndLiabilitiesMeasuredAtFairValue" nillable="true" xbrli:periodType="instant" substitutionGroup="xbrli:item" type="dtr-types1:percentItemType"/>
  <xs:element id="isba_ConsumerSecuredDirectPortfolioSegmentMember" abstract="true" name="ConsumerSecuredDirectPortfolioSegmentMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:domainItemType"/>
  <xs:element id="isba_OtherRealEstateForeclosedAssetsandRepossessedAssetsValuationAdjustments" abstract="false" name="OtherRealEstateForeclosedAssetsandRepossessedAssetsValuationAdjustments" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="isba_ScheduleOfAmortizedCostBasisOfLoansHeldForInvestmentModifiedForBorrowersExperiencingFinancialDifficultyPaymentStatusTableTextBlock" abstract="false" name="ScheduleOfAmortizedCostBasisOfLoansHeldForInvestmentModifiedForBorrowersExperiencingFinancialDifficultyPaymentStatusTableTextBlock" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:textBlockItemType"/>
  <xs:element id="isba_ShortTermDebtWeightedAverageInterestRates" abstract="false" name="ShortTermDebtWeightedAverageInterestRates" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:percentItemType"/>
  <xs:element id="isba_DepositsWithStatedMaturitiesFairValueDisclosure" abstract="false" name="DepositsWithStatedMaturitiesFairValueDisclosure" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="isba_LoansReceivableCollateralizedByAccountsReceivableMember" abstract="true" name="LoansReceivableCollateralizedByAccountsReceivableMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:domainItemType"/>
  <xs:element id="isba_PledgedFinancialInstrumentsAvailableforSaleSecuritieswithoutSingleMaturityDate" abstract="false" name="PledgedFinancialInstrumentsAvailableforSaleSecuritieswithoutSingleMaturityDate" nillable="true" xbrli:periodType="instant" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="isba_PaymentsForRepurchaseOfCommonStockForDeferredCompensationObligations" abstract="false" name="PaymentsForRepurchaseOfCommonStockForDeferredCompensationObligations" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="isba_IncomeLossBeforeIncomeTaxesandEquityinUndistributedNetIncomeofSubsidiary" abstract="false" name="IncomeLossBeforeIncomeTaxesandEquityinUndistributedNetIncomeofSubsidiary" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="isba_DiscountedAppraisalValueValuationTechniqueMember" abstract="true" name="DiscountedAppraisalValueValuationTechniqueMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:domainItemType"/>
  <xs:element id="isba_LoansReceivableCollateralizedByRealEstateMember" abstract="true" name="LoansReceivableCollateralizedByRealEstateMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:domainItemType"/>
  <xs:element id="isba_AvailableforsaleSecuritiesWithVariableMonthlyPaymentsOrWithoutSingleMaturityDateFairValue" abstract="false" name="AvailableforsaleSecuritiesWithVariableMonthlyPaymentsOrWithoutSingleMaturityDateFairValue" nillable="true" xbrli:periodType="instant" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="isba_InterestIncomeFederalFundsSoldAndOther" abstract="false" name="InterestIncomeFederalFundsSoldAndOther" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="isba_InterestPayableFairValueDisclosure" abstract="false" name="InterestPayableFairValueDisclosure" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="isba_EffectiveIncomeTaxRateReconciliationTaxExemptIncomeAndTaxCreditsAmount" abstract="false" name="EffectiveIncomeTaxRateReconciliationTaxExemptIncomeAndTaxCreditsAmount" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="isba_ShareBasedCompensationSharesTransferredFromTrustToCommonStockValue" abstract="false" name="ShareBasedCompensationSharesTransferredFromTrustToCommonStockValue" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="isba_RiskRating13Member" abstract="true" name="RiskRating13Member" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:domainItemType"/>
  <xs:element id="isba_StateandLocalFundsPurchasedMember" abstract="true" name="StateandLocalFundsPurchasedMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:domainItemType"/>
  <xs:element id="isba_InterestAndDividendIncomeSecuritiesOperatingAvailableforsaleTaxExempt" abstract="false" name="InterestAndDividendIncomeSecuritiesOperatingAvailableforsaleTaxExempt" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="isba_LowSatisfactoryRatingMember" abstract="true" name="LowSatisfactoryRatingMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:domainItemType"/>
  <xs:element id="isba_CommercialRealEstateMultifamilyPortfolioSegmentMember" abstract="true" name="CommercialRealEstateMultifamilyPortfolioSegmentMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:domainItemType"/>
  <xs:element id="isba_CommercialAndIndustrialUnsecuredPortfolioSegmentMember" abstract="true" name="CommercialAndIndustrialUnsecuredPortfolioSegmentMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:domainItemType"/>
  <xs:element id="isba_LoansReceivableCollateralizedByEquipmentMember" abstract="true" name="LoansReceivableCollateralizedByEquipmentMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:domainItemType"/>
  <xs:element id="isba_StockRepurchasedDuringPeriodExcludingStockForDeferredCompensationObligationsShares" abstract="false" name="StockRepurchasedDuringPeriodExcludingStockForDeferredCompensationObligationsShares" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:sharesItemType"/>
  <xs:element id="isba_CommercialAdvancestoMortgageBrokersSegmentMember" abstract="true" name="CommercialAdvancestoMortgageBrokersSegmentMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:domainItemType"/>
  <xs:element id="isba_CommercialAndIndustrialSecuredPortfolioSegmentMember" abstract="true" name="CommercialAndIndustrialSecuredPortfolioSegmentMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:domainItemType"/>
  <xs:element id="isba_VulnerableRatingMember" abstract="true" name="VulnerableRatingMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:domainItemType"/>
  <xs:element id="isba_LoansReceivableCollateralizedByLiquorLicenseMember" abstract="true" name="LoansReceivableCollateralizedByLiquorLicenseMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:domainItemType"/>
  <xs:element id="isba_FinancingReceivableDebtServicingToGrossIncomeRatioMaximum" abstract="false" name="FinancingReceivableDebtServicingToGrossIncomeRatioMaximum" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:pureItemType"/>
  <xs:element id="isba_LoansReceivableCollateralizedByLivestockMember" abstract="true" name="LoansReceivableCollateralizedByLivestockMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:domainItemType"/>
  <xs:element id="isba_FinancingReceivableContinuingPerformanceAccrualOfInterestThresholdPeriod" abstract="false" name="FinancingReceivableContinuingPerformanceAccrualOfInterestThresholdPeriod" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:durationItemType"/>
  <xs:element id="isba_IsabellaBankCorporationAndRelatedCompaniesDeferredCompensationPlanForDirectorsMember" abstract="true" name="IsabellaBankCorporationAndRelatedCompaniesDeferredCompensationPlanForDirectorsMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:domainItemType"/>
  <xs:element id="isba_CommercialRealEstate14FamilyInvestorPortfolioSegmentMember" abstract="true" name="CommercialRealEstate14FamilyInvestorPortfolioSegmentMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:domainItemType"/>
  <xs:element id="isba_AgriculturalOtherPortfolioSegmentMember" abstract="true" name="AgriculturalOtherPortfolioSegmentMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:domainItemType"/>
  <xs:element id="isba_FinancingReceivableTerm" abstract="false" name="FinancingReceivableTerm" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="xbrli:durationItemType"/>
  <xs:element id="isba_A9LossMember" abstract="true" name="A9LossMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:domainItemType"/>
  <xs:element id="isba_LoansReceivableAllowanceFairValueDisclosure" abstract="false" name="LoansReceivableAllowanceFairValueDisclosure" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="isba_DeferredCompensationArrangementwithIndividualDeferredCompensationObligations" abstract="false" name="DeferredCompensationArrangementwithIndividualDeferredCompensationObligations" nillable="true" xbrli:periodType="instant" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="isba_ServiceChargesAndDepositAccountFeesMember" abstract="true" name="ServiceChargesAndDepositAccountFeesMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:domainItemType"/>
  <xs:element id="isba_FinancialAssets30To89DaysPastDueMember" abstract="true" name="FinancialAssets30To89DaysPastDueMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:domainItemType"/>
  <xs:element id="isba_PledgedFinancialInstrumentsNotSeparatelyReportedSecuritiesAndLoansReceivablePledgedAsCollateral" abstract="false" name="PledgedFinancialInstrumentsNotSeparatelyReportedSecuritiesAndLoansReceivablePledgedAsCollateral" nillable="true" xbrli:periodType="instant" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="isba_NoninterestIncomeInvestmentandTrustAdvisoryFees" abstract="false" name="NoninterestIncomeInvestmentandTrustAdvisoryFees" nillable="true" xbrli:periodType="duration" xbrli:balance="credit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="isba_CommercialAndAgriculturalPortfolioSegmentMember" abstract="true" name="CommercialAndAgriculturalPortfolioSegmentMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:domainItemType"/>
  <xs:element id="isba_ResidentialRealEstateJuniorLienPortfolioSegmentMember" abstract="true" name="ResidentialRealEstateJuniorLienPortfolioSegmentMember" nillable="true" xbrli:periodType="duration" substitutionGroup="xbrli:item" type="dtr-types1:domainItemType"/>
  <xs:element id="isba_Printingandsuppliesexpense" abstract="false" name="Printingandsuppliesexpense" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="isba_EducationAndTravelExpense" abstract="false" name="EducationAndTravelExpense" nillable="true" xbrli:periodType="duration" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="isba_AvailableforsaleSecuritiesWithVariableMonthlyPaymentsOrWithoutSingleMaturityDateAmortizedCostBasis" abstract="false" name="AvailableforsaleSecuritiesWithVariableMonthlyPaymentsOrWithoutSingleMaturityDateAmortizedCostBasis" nillable="true" xbrli:periodType="instant" xbrli:balance="debit" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType"/>
  <xs:element id="isba_PercentageOfReportableSegmentAssetsAndOperatingResults" abstract="false" name="PercentageOfReportableSegmentAssetsAndOperatingResults" nillable="true" xbrli:periodType="instant" substitutionGroup="xbrli:item" type="dtr-types1:percentItemType"/>
</xs:schema>
